## python-plyvel 0.9

=== Makefile ===

.PHONY: all cython ext doc clean test

all: cython ext

cython:
	@echo
	@echo "Running Cython"
	@echo "=============="
	@echo
	cython --version
	cython --cplus --fast-fail --annotate plyvel/_plyvel.pyx

ext:
	@echo
	@echo "Building extension"
	@echo "=================="
	@echo
	python setup.py build_ext --inplace --force

doc:
	@echo
	@echo "Building documentation"
	@echo "======================"
	@echo
	python setup.py build_sphinx
	@echo
	@echo Generated documentation: "file://"$$(readlink -f doc/build/html/index.html)
	@echo

clean:
	@echo
	@echo "Cleaning generated files"
	@echo "========================"
	@echo
	python setup.py clean
	$(RM) plyvel/_plyvel.cpp plyvel/_plyvel*.so
	$(RM) -r testdb/
	$(RM) -r doc/build/
	$(RM) -r plyvel.egg-info/
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -delete

test: ext
	@echo
	@echo "Running tests"
	@echo "============="
	@echo
	py.test

=== debian/changelog ===
python-plyvel (0.9-1) stretch; urgency=medium

  * Rebuilt for Debian Stretch

 -- Romain Acciari <romain.acciari@openio.io>  Thu, 02 Nov 2017 13:53:00 +0000

=== debian/control ===
Source: python-plyvel
Section: python
Priority: optional
Maintainer: Romain Acciari <romain.acciari@openio.io>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-all-dev, python-setuptools, cython, libleveldb-dev, python-pytest
Standards-Version: 3.9.5
Homepage: https://github.com/wbolster/plyvel

Package: python-plyvel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Python interface to the LevelDB embedded database library
 Plyvel is a fast and feature-rich Python interface to the LevelDB embedded
 database library. It has a rich feature set, high performance, and a friendly
 Pythonic API.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --buildsystem pybuild

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)


override_dh_auto_build:
	cython --cplus --fast-fail --annotate plyvel/_plyvel.pyx
	dh_auto_build --buildsystem pybuild

override_dh_auto_test:
